<app-navbar (openSummaryDialogEmit)="openSummaryDialog()"></app-navbar>

<div class="lists__container">
    <div *ngFor="let list of lists; let listIndex = index"
                 class="lists__list"
                 cdkDropList
                 (cdkDropListDropped)="drop($event, listIndex)">
        <div class="lists__list--title">
            <span>{{list.name}}</span>
            <button mat-icon-button [matMenuTriggerFor]="menu"><mat-icon>more_vert</mat-icon></button>
            <mat-menu #menu="matMenu">
                <button mat-menu-item (click)="updateFilteredLists(listIndex, true)">Pokaż zakończone</button>
                <button mat-menu-item  (click)="updateFilteredLists(listIndex, false)">Pokaż niezakończone</button>
                <button mat-menu-item  (click)="resetFilteredLists(listIndex)">Pokaż wszystkie</button>
                <button mat-menu-item (click)="deleteList(listIndex)">Usuń listę</button>
            </mat-menu>
        </div>
        <ng-container *ngFor="let task of list.tasks; let taskIndex = index">
            <div *ngIf="list.filter === task.isDone || list.filter === 'all'"  class="task" cdkDrag
                 [ngClass]="{'task-done': task.isDone}"
            >
                <div class="task__header">
                    <span>{{task.title}}</span>
                    <div class="task__header--buttons">
                        <mat-checkbox class="task__header--checkbox" [checked]="task.isDone" (change)="updateIsDoneTask($event.checked, listIndex, taskIndex)"></mat-checkbox>
                        <button mat-icon-button class="task__header--delete-btn" (click)="deleteTask(listIndex, taskIndex)">
                            <mat-icon>
                                delete_outline
                            </mat-icon>
                        </button>
                    </div>
                </div>
                <div class="task__description"><span>{{task.description}}</span></div>
                <div *ngIf="task.finishDate" class="task__finish-date">Zakończono: {{task.finishDate | date : 'MMM d, y, HH:mm'}}</div>
            </div>
        </ng-container>

        <div *ngIf="!isNewTask(listIndex)" class="lists__new-task">
            <button class="lists__add-task--btn" mat-button (click)="showNewTaskForm(listIndex)">+ Dodaj Zadanie
            </button>
        </div>
        <app-new-task-form *ngIf="isNewTask(listIndex)" (newTaskEvent)="addNewTask($event)"></app-new-task-form>
    </div>
    <div class="lists__new-list">
        <mat-form-field class="lists__new-list--input" appearance="fill">
            <input matInput type="text" autocomplete="off" spellcheck="false" placeholder="Wpisz nazwę nowej listy"
                   [formControl]="newListControl">
        </mat-form-field>
        <button mat-icon-button class="lists__new-list--add-btn" (click)="addList()"
                [disabled]="newListControl.invalid"
        >
            <mat-icon>add</mat-icon>
        </button>
        <button mat-icon-button (click)="newListControl.reset()">
            <mat-icon>close</mat-icon>
        </button>
    </div>
</div>
